Forums may not display well on Internet Explorer 6

Status
Not open for further replies.

Spiritwarrior

Forum Reformist
Full GL Member
Credits
0
Our new IPB 3.0 forums may not display well if you're using Internet Explorer 6 or earlier browser versions. It is recommended that you upgrade to Internet Explorer 7 or 8, or use Firefox 3.0, Safari 3.0, Google Chrome or Opera 10.0 for best results and loading times.
 

Demon_Skeith

Administrator
Staff member
Administrator
Credits
70,076
I'm just going to quickly add that I will not take the time or resources to try and make this forum work right for any version of IE. IE is a fail browser and should never be used (unless your using it to get another browser). There is no harm in installing another browser onto any computer and you will notice a great difference between the two.

If you have any problems with this feel free to PM the admin staff.

-DS B)
 
Status
Not open for further replies.
Top